# Generated by Django 4.1.4 on 2022-12-29 16:32

from django.db import migrations, models
from django.utils.text import slugify


def set_slug_defaults(apps, schema_editor):
    DataFlowGroup = apps.get_model("netbox_data_flows", "DataFlowGroup")
    for group in DataFlowGroup.objects.all():
        group.slug = slugify(group.name)
        group.save()


class Migration(migrations.Migration):
    dependencies = [
        ("netbox_data_flows", "0004_reindex_netbox_data_flows"),
    ]

    operations = [
        migrations.AddField(
            model_name="dataflowgroup",
            name="slug",
            field=models.SlugField(null=True, max_length=100),
        ),
        migrations.RunPython(set_slug_defaults, migrations.RunPython.noop),
        migrations.AlterField(
            model_name="dataflowgroup",
            name="slug",
            field=models.SlugField(max_length=100),
        ),
    ]
