# Generated by Django 4.1.10 on 2023-07-16 17:47

from django.db import migrations
from django.utils.text import slugify


def set_slug_defaults(apps, schema_editor):
    DataFlowGroup = apps.get_model("netbox_data_flows", "DataFlowGroup")
    for group in DataFlowGroup.objects.filter(slug=""):
        group.slug = slugify(group.name)
        group.save()


class Migration(migrations.Migration):
    dependencies = [
        ("netbox_data_flows", "0008_delete_orphaned_aliases"),
    ]

    operations = [
        migrations.RunPython(set_slug_defaults, migrations.RunPython.noop),
    ]
